Page MenuHomePhabricator

videojs should pick suitable source (format/resolution preferences) instead of lowest resolution
Closed, ResolvedPublic

Description

Currently videojs player defaults to the lowest resolution, usually 160p ogg. This is pretty ugly and not what we want unless we're on a really slow mobile phone.

Instead should use some logic to pick the initial source:

  • format/codec preferences: vp9 > vp8 > theora
  • resolution preferences: pick biggest that fits in the available area by default
    • possibly use ogv.js-specific hack to bump down resolution if slow
    • switch when going fullscreen ?

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterSelect default resolution in videojs playback

Event Timeline

brion created this task.May 11 2016, 5:49 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 11 2016, 5:49 PM
TheDJ triaged this task as Medium priority.May 11 2016, 8:12 PM
TheDJ added a project: TimedMediaHandler.
TheDJ added a subscriber: TheDJ.

This is currently hold up a bit due to non-responsiveness of the upstream plugin maintainer..

Considering forking, or at least running against the git of my fork.

TheDJ moved this task from To sort to Player on the TimedMediaHandler board.May 11 2016, 8:14 PM
TheDJ moved this task from Backlog to Video.js on the Kaltura player board.May 13 2016, 11:53 AM

Change 313977 had a related patch set uploaded (by Brion VIBBER):
Select default resolution in videojs playback

https://gerrit.wikimedia.org/r/313977

Change 313977 merged by jenkins-bot:
Select default resolution in videojs playback

https://gerrit.wikimedia.org/r/313977

brion closed this task as Resolved.Jan 14 2017, 4:39 AM
brion claimed this task.

this merged a while ago